Xerces-C++ 3.1.3

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
StdOutFormatTarget Class Reference
Inheritance diagram for StdOutFormatTarget:

## Public Member Functions

virtual void | writeChars (const XMLByte *const toWrite, const XMLSize_t count, XMLFormatter *const formatter)
virtual void | flush ()
constructors and destructor
| StdOutFormatTarget ()
| ~StdOutFormatTarget ()
Public Member Functions inherited from XMLFormatTarget
virtual | ~XMLFormatTarget ()
Public Member Functions inherited from XMemory
void * | operator new (size_t size)
| This method overrides operator new.
void * | operator new (size_t size, MemoryManager *memMgr)
| This method defines a custom operator new, that will use the provided memory manager to perform the allocation.
void * | operator new (size_t size, void *ptr)
| This method overrides placement operator new.
void | operator delete (void *p)
| This method overrides operator delete.
void | operator delete (void *p, MemoryManager *memMgr)
| This method provides a matching delete for the custom operator new.
void | operator delete (void *p, void *ptr)
| This method provides a matching delete for the placement new.

## Additional Inherited Members

Protected Member Functions inherited from XMLFormatTarget
| XMLFormatTarget ()

## Constructor & Destructor Documentation

StdOutFormatTarget::StdOutFormatTarget | ( |  | ) |

StdOutFormatTarget::~StdOutFormatTarget | ( |  | ) |

## Member Function Documentation

virtual void StdOutFormatTarget::flush | ( |  | ) |

virtual

Reimplemented from XMLFormatTarget.

virtual void StdOutFormatTarget::writeChars | ( | const XMLByte *const | toWrite,
|  | const XMLSize_t | count,
|  | XMLFormatter *const | formatter
| ) |  |

virtual

Implements XMLFormatTarget.

The documentation for this class was generated from the following file:

- StdOutFormatTarget.hpp